org.springframework.data.relational.core.conversion

## Interface DbAction<T>

Type Parameters:
  `T` - the type of the entity that is affected by this action.

All Known Subinterfaces:
  DbAction.WithDependingOn<T>, DbAction.WithEntity<T>, DbAction.WithGeneratedId<T>, DbAction.WithPropertyPath<T>

All Known Implementing Classes:
  DbAction.AcquireLockAllRoot, DbAction.AcquireLockRoot, DbAction.Delete, DbAction.DeleteAll, DbAction.DeleteAllRoot, DbAction.DeleteRoot, DbAction.Insert, DbAction.InsertRoot, DbAction.Merge, DbAction.Update, DbAction.UpdateRoot

    public interface DbAction<T>

An instance of this interface represents a (conceptual) single interaction with a database, e.g. a single update, used as a step when synchronizing the state of an aggregate with the database.

Author:
  Jens Schauder, Mark Paluch, Tyler Van Gorder, Myeonghyeon Lee

### Nested Class Summary

Nested Classes
`static class` `DbAction.AcquireLockAllRoot<T>` Represents an acquire lock statement for all aggregate roots of a given type.
`static class` `DbAction.AcquireLockRoot<T>` Represents an acquire lock statement for a aggregate root when only the ID is known.
`static class` `DbAction.Delete<T>` Represents a delete statement for all entities that that a reachable via a give path from the aggregate root.
`static class` `DbAction.DeleteAll<T>` Represents an delete statement for all entities that that a reachable via a give path from any aggregate root of a given type.
`static class` `DbAction.DeleteAllRoot<T>` Represents a delete statement for all aggregate roots of a given type.
`static class` `DbAction.DeleteRoot<T>` Represents a delete statement for a aggregate root when only the ID is known.
`static class` `DbAction.Insert<T>` Represents an insert statement for a single entity that is not the root of an aggregate.
`static class` `DbAction.InsertRoot<T>` Represents an insert statement for the root of an aggregate.
`static class` `DbAction.Merge<T>` Represents a merge statement for a single entity that is not the root of an aggregate.
`static class` `DbAction.Update<T>` Represents an update statement for a single entity that is not the root of an aggregate.
`static class` `DbAction.UpdateRoot<T>` Represents an update statement for the aggregate root.
`static interface` `DbAction.WithDependingOn<T>` An action depending on another action for providing additional information like the id of a parent entity.
`static interface` `DbAction.WithEntity<T>` A `DbAction` that stores the information of a single entity in the database.
`static interface` `DbAction.WithGeneratedId<T>` A `DbAction` that may "update" its entity.
`static interface` `DbAction.WithPropertyPath<T>` A `DbAction` not operation on the root of an aggregate but on its contained entities.

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<T>` `getEntityType()`

### Method Detail

#### getEntityType

    Class<T> getEntityType()